Subject: Re: [PATCHv2 4/4] submodule: add embed-git-dir function

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Nov 2016 13:39:08 -0800

Stefan Beller <[email-masked]> writes:

>     git relocate-git-dir (--into-workingtree|--into-gitdir) \

I am not sure if you meant this as a submodule-specific subcommand
or more general helper.  "into-workingtree" suggests to me that it
is submodule specific, so I'll base my response on that assumption.

Would there ever be a situation where you already have submodule
repositories in the right place (according to the more modern
practice, to keep them in .git/modules/ of superproject) and want to
move them to embed them in worktrees of submodules?  I do not think
of any.

If there is no such situation, I do not think we want a verb that is
direction-neutral (e.g. "move" or "relocate") with two options.
Rather we would want "git submodule unembed-git-dir" or something
like that.